package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.FlowChartMapper;
import com.lz.modules.flow.entity.FlowChart;
import com.lz.modules.flow.model.FlowChartDto;
import com.lz.modules.flow.model.FlowChartRoleDto;
import com.lz.modules.flow.service.FlowChartService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 流程图，lz_flow的父 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/

@Service
public class FlowChartServiceImpl extends ServiceImpl<FlowChartMapper, FlowChart> implements FlowChartService {


    @Autowired
	private FlowChartMapper flowChartMapper;



	@Override
	public FlowChart selectFlowChartById(Long id){
		return flowChartMapper.selectFlowChartById(id);
	}



	@Override
	public Long insertFlowChart(FlowChart flowChart){
		return flowChartMapper.insertFlowChart(flowChart);
	}



	@Override
	public int updateFlowChartById(FlowChart flowChart){
		return flowChartMapper.updateFlowChartById(flowChart);
	}



	@Override
	public int updateCoverFlowChartById(FlowChart flowChart){
		return flowChartMapper.updateCoverFlowChartById(flowChart);
	}



	@Override
	public int deleteFlowChartById(Long id){
		return flowChartMapper.deleteFlowChartById(id);
	}

	@Override
	public List<FlowChart> selectFlowChartByFlowManagerId(Long id){
		return flowChartMapper.selectFlowChartByFlowManagerId(id);
	}

	@Override
	public List<FlowChartRoleDto> selectChartRoleByChartId(Long id){
		return flowChartMapper.selectChartRoleByChartId(id);
	}

	@Override
	public List<FlowChartDto> selectFlowChartDtoByFlowManagerId(Long id){
		return flowChartMapper.selectFlowChartDtoByFlowManagerId(id);
	}

	@Override
	public List<FlowChart> selectFlowChartsByGroupId(Long groupId){
		return flowChartMapper.selectFlowChartsByGroupId(groupId);
	}

	@Override
	public List<FlowChartRoleDto> selectCanSetChartRoleByChartId(Long id)
	{
		return flowChartMapper.selectCanSetChartRoleByChartId(id);
	}



}
